<template>
  <div>
    <div class="flex justify-between items-center gap-x-3">
      <Link :href="route"
        :class="[!expanded ? 'px-0 grid-cols-1' : 'rounded-r-full', $page.url.startsWith(route) ? 'nav-link-active' : 'nav-link']">
      <Icon :icon="icon" class="block mx-auto" />
      <div v-if="expanded">{{ name }}</div>
      </Link>
      
    </div>
    <div v-if="expanded" class="transition-all" :class="collapsed ? 'overflow-clip max-h-0' : 'overflow-y-auto max-h-96 mt-1 mb-3'">
      <slot></slot>
    </div>
  </div>
</template>

<script setup>
import { ref } from 'vue';
import { Link } from '@inertiajs/vue3';

const collapsed = ref(true);

const props = defineProps({
  expanded: Boolean,
  name: String,
  route: String,
  icon: String
})
</script>